Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class TextAlign

    java.lang.Object
      org.apache.poi.xslf.usermodel.TextAlign

    public class TextAlign

extends java.lang.Object

Specified a list of text alignment types

Author:
  Yegor Kozlov

Field Summary
`static TextAlign` | `CENTER` Align text in the center.
`static TextAlign` | `DIST`
`static TextAlign` | `JUSTIFY` Align text so that it is justified across the whole line.
`static TextAlign` | `JUSTIFY_LOW`
`static TextAlign` | `LEFT` Align text to the left margin.
`static TextAlign` | `RIGHT` Align text to the right margin.
`static TextAlign` | `THAI_DIST`

Constructor Summary
`TextAlign(int ordinal)`

Method Summary
`int` | `ordinal()`
`static TextAlign[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final TextAlign LEFT

  Align text to the left margin.

### CENTER

    public static final TextAlign CENTER

  Align text in the center.

### RIGHT

    public static final TextAlign RIGHT

  Align text to the right margin.

### JUSTIFY

    public static final TextAlign JUSTIFY

  Align text so that it is justified across the whole line. It is smart in the sense that it will not justify sentences which are short

### JUSTIFY_LOW

    public static final TextAlign JUSTIFY_LOW

### DIST

    public static final TextAlign DIST

### THAI_DIST

    public static final TextAlign THAI_DIST

Constructor Detail

### TextAlign

    public TextAlign(int ordinal)

Method Detail

### ordinal

    public int ordinal()

### values

    public static TextAlign[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD